Subject: Re: Detecting the need for -mwin32 in newer cygwin gcc's
From: Christopher Faylor <[email-masked]>
To: Alexandre Oliva <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 8 Mar 2001 11:53:40 -0500

On Wed, Mar 07, 2001 at 11:49:07PM -0300, Alexandre Oliva wrote:
>On Mar  7, 2001, Christopher Faylor <[email-masked]> wrote:
>
>> Basically, I think we need something like a AC_PROG_GCC_USES_MWIN32.
>
>I have mixed feelings about having this macro in autoconf.  On one
>hand, it would be kind of promoting the use of proprietary software.
>On the other, I see it would be a convenience for projects that really
>need it, even though it could probably live with CFLAGS='-mwin32 -g -O2'.

How would someone "live with" this method?  Are you advocating adding
a separate cygwin target check which adds the -mwin32 flag to CFLAGS
or are you saying that there should be an INSTALL file which says
"Please make sure to use "CFLAGS=-mwin32 -g -O2" when you run configure?"

I really don't have a strong need for this.  I just thought that adding
a standard macro would make life easier for people writing configure.in's
in the future.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple